<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Uber ride model test</title>
</head>
<body>
    <h1 style="color:blue;">
        Uber ride model testing
    </h1>
    {% if result %}
    <h2>Predicted No. of riders= {{result}}</h2>
    {% endif %}
    <form action="{% url 'test' %}" method="post">
        {% csrf_token %}
        Enter Price Per Week
        <input type="number" name="ppw" required/><br/><br/>
        Enter Population
        <input type="number" name="pn" required/><br/><br/>
        Enter Monthly Income
        <input type="number" name="mi" required/><br/><br/>
        Enter Average Parking Per Month
        <input type="number" name="appm" required/><br/><br/>
        <input type="submit" value="Predict"/>
    </form>
</body>
</html>